## wmshutdown 0.2

=== Makefile ===
all:
	@echo "wmShutdown version 0.1 - Rafael V. Aroca <rafael@linuxqos.cjb.net>"
	@echo "Order of makes to install: dock, shutdown, install"

clean:
	rm -f wmShutdown.o  
	rm -f wmShutdown
	rm -f Shutdown

install:
	install wmShutdown /usr/local/bin
	install wmShutdown.xpm /usr/share/pixmaps/
	install -g root -o root Shutdown /usr/local/bin
	chmod +s /sbin/shutdown
	chmod +s /usr/local/bin/Shutdown
	@echo Installed. Just type wmShutdown to use it

uninstall:
	rm -f /usr/local/bin/wmShutdown
	rm -f /usr/local/bin/Shutdown
	rm -f /usr/share/pixmaps/wmShutdown.xpm
	@echo ":-( Uninstalled."

dock: wmShutdown.c
	$(CC) -c -o wmShutdown.o wmShutdown.c `gtk-config --cflags` 
	$(CC) -o wmShutdown wmShutdown.o `gtk-config --libs` 

shutdown: shutdown.c
	$(CC) -o Shutdown shutdown.c

=== debian/changelog ===
wmshutdown (0.2-9) unstable; urgency=low

  * debian/copyright
    - Update to format 1.0

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 24 Mar 2012 02:47:56 -0400

wmshutdown (0.2-8) unstable; urgency=low

  * debian/rules
    - Enable all hardening flags with DEB_BUILD_MAINT_OPTIONS and
      reading Debian specific CPPFLAGS.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 06 Mar 2012 10:55:18 -0500

wmshutdown (0.2-7) unstable; urgency=low

  * debian/control
    - Build-Depends: rm dpkg-dev; buildflags.mk no longer used.
    - (Standards-Version): Update to 3.9.3
  * debian/patches
    - (10): Adjust patch to actually use LDFLAGS and CFLAGS to
      enable hardened CFLAGS. Patch thanks to Simon Ruderich
      <simon@ruderich.org> (Closes: #662010).
  * debian/rules
    - Remove buildflags.mk which is unnecessary with compat 9.
      Change to DEB_*_MAINT_APPEND variables.
      Both changes thanks to Simon Ruderich <simon@ruderich.org>.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 04 Mar 2012 12:00:34 -0500

wmshutdown (0.2-6) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): update to debhelper 9, dpkg-dev 1.16.1.
  * debian/copyright
    - Update to DEP5.
  * debian/rules
    - Remove unused targets.
    - Use hardened CFLAGS.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 15 Feb 2012 08:16:19 -0500

wmshutdown (0.2-5) unstable; urgency=low

  * Move to format: 3.0 (quilt).
  * debian/{clean,manpages}
    - Move content from debian/rules for dh(1).
  * debian/control
    (Build-Depends): Remove dpatch.
  * debian/copyright
    - Minor layout adjustment. Use FSF URL.
  * debian/debian-vars.mk
    - Delete, obsoleted by dh(1).
  * debian/patches
    - Convert to quilt.
    - (10): Adjust link flags and add trimmed down GTKLIBS.
    - (30): New patch to fix "cast to pointer from integer of
      different size" warnings.
  * debian/README.source
    - Delete, obsoleted by format 3.0.
  * debian/rules
    - Remove rules obsoleted by dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 17 Dec 2009 14:21:08 +0200

wmshutdown (0.2-4) unstable; urgency=medium

  * New maintainer (ITA; Closes: #352440).
    - ACK and integrate previous QA changes
  * debian/README.Debian
    - Document change of binary name: wmshutdown, wmshutdown-run
  * debian/README.Debian
    - Instruct how to disable shutdown-run(1) from other users than root.
  * debian/compat
    - New file.
  * debian/control
    - (Description): Improve paragraphs.
    - (Depends): Added dpatch,
    - (Homepage, Vcs-*): New fields.
    - (Standards-Version): Update to 3.8.3
  * debian/copyright
    - Update to newest dh-make template.
    - Update upstream author's email and URL address.
  * debian/menu
    - Update section according to latest policy.
  * debian/docs
    - Remove file.
  * debian/pod2man.mk
    - New file.
  * debian/rules
    - Add dpatch and manual page creation.
    - (clean): use dh_prep (lintian).
  * debian/patches/10-makefile.dpatch
    - Nef file
    - (LDFLAGS): new variable. Check problems with
      linker flag -Wl,--no-add-needed
      See http://wiki.debian.org/qa.debian.org/FTBFS#A2009-11-02Packagesfailingbecausebinutils-gold.2BAC8-indirectlinking
    - (LIBS): new variable. Use -lX11.
    - (all): change to call build targets.
    - (dock): Link against LIBS (FTBFS; Closes: #556683).
    - (help): move echo commands here.
    - (install): Change program names to reflect package:
      wmShutdown => wmshutdown. Shutdown => wmshutdown-run.
  * debian/patches/10-name-change.dpatch
    - Change program names and use FHS directories.
  * debian/watch
    - New file.
  * Other:
    - Remove old *.1 manual pages and write new ones in *.pod format.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 08 Dec 2009 13:58:06 +0200

wmshutdown (0.2-3) unstable; urgency=low

  * QA upload.
  * Change build-dep to libgtk2.0-dev.
    + Makefile: use pkg-config instead of gtk-config.

 -- Barry deFreese <bdefreese@debian.org>  Thu, 19 Feb 2009 12:59:24 -0500

wmshutdown (0.2-2) unstable; urgency=low

  * QA upload.
  * debian/control
    - set maintainer to QA group
    - bump Standards-Version to 3.8.0 (no changes needed)
    - bump versioned build-dep on debhelper to at least 5
    - small reformat of short and long descriptions
    - added ${misc:Depends} to Depends
  * debian/compat
    - created with value set to 5
  * debian/rules
    - removed configure target, not needed
    - removed DH_COMPAT
    - moved compilation into build (from install), where it belong
    - merged 'rm' into 'dh_clean' call
    - don't ignore "make clean" errors
    - removed unneeded and commented dh_* calls
  * debian/copyright
    - fixed copyright section
    - indented copyright, upstream author and license section with 4 spaces
  * debian/menu
    - updated section to Applications/System/Administration
  * debian/{Shutdown.1,wmShutdown.1}
    - fixed the 'whatis' section

 -- Sandro Tosi <morph@debian.org>  Mon, 08 Dec 2008 13:02:21 +0100

wmshutdown (0.2-1) unstable; urgency=low

  * New upstream release
  * Closes: #205604: Error in file /usr/lib/menu/wmshutdown
  * Change maintainer e-mail address
  * Pseudo manpages has been written
  * Closes: #252718: New upstream release available (0.2)

 -- Rafal Zawadzki <bluszcz@jabberpl.org>  Sat,  5 Jun 2004 00:09:49 +0200

wmshutdown (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Rafal Zawadzki <bluszcz@ats.com.pl>  Tue, 23 Jul 2002 21:34:11 +0200

=== debian/control ===
Source: wmshutdown
Section: x11
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), libgtk2.0-dev
Standards-Version: 3.9.3.1
Vcs-Git: http://git.debian.org/collab-maint/wmshutdown.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/wmshutdown.git;a=summary
Homepage: http://www.rafaelaroca.hpg.ig.com.br/bin

Package: wmshutdown
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dockapp to shutdown or reboot your machine
 This is a dock applications for Window Maker that allows you to
 shutdown or reboot your machine just by clickig a button on desktop
 and confirming. It's useful just for desktop machines.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE	 = wmshutdown
PACKAGE2 = wmshutdown-run

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE2) makeman

override_dh_auto_build: man
	dh_auto_build

%:
	dh $@

.PHONY: man

# End of file

=== debian/watch ===
version=3
# <Webpage URL> <string match> [Version  [Action]]

# 2009-11-28 No longer exists
http://www.rafaelaroca.hpg.ig.com.br/bin/ wmshutdown-(.+)\.tar\.gz

## wmshutdown 1.0

=== debian/changelog ===
wmshutdown (1.0-1) unstable; urgency=low

  * New maintainer (Closes: #714261).
  * New upstream version.
    - Correctly docks and halt button works (Closes: #617216).
    - Will build with clang instead of gcc (Closes: #740964).
    - Remove manpage-related files from debian directory; now included
      upstream.
    - Remove debian/clean; files now removed by make clean.
    - Remove debian/dirs; directories now created by make install.
    - Remove debian/patches; patches included upstream.
  * Add exclusion to dh_fixperms for wmshutdown-run so that users do not
    have to manually change permissions; remove debian/README.Debian which
    instructed them how to do this.
  * debian/control
    - Update Build-Depends to libgtk-3-dev.
    - Bump Standards-Version to 3.9.5, no changes required.
    - Update Homepage, Vcs-* fields.
  * debian/watch
    - Update with new location.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sat, 26 Jul 2014 10:45:39 -0500

=== debian/control ===
Source: wmshutdown
Section: x11
Priority: optional
Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
Build-Depends: debhelper (>= 9), libgtk-3-dev
Standards-Version: 3.9.5
Homepage: http://wmshutdown.sourceforge.net
Vcs-Browser: https://github.com/d-torrance/wmshutdown
Vcs-Git: https://github.com/d-torrance/wmshutdown.git

Package: wmshutdown
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dockapp to shutdown or reboot your machine
 This is a dock applications for Window Maker that allows you to
 shutdown or reboot your machine just by clickig a button on desktop
 and confirming. It's useful just for desktop machines.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_fixperms:
	dh_fixperms -Xusr/bin/wmshutdown-run

=== debian/watch ===
version=3
http://sf.net/wmshutdown/wmshutdown-(.+)\.tar\.gz

## wmshutdown 1.3

=== debian/changelog ===
wmshutdown (1.3-2) unstable; urgency=medium

  * debian/control
    - In Depends, switch systemd to libpam-systemd and architecture of
      consolekit to !linux-any (Closes: #767284).

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Wed, 29 Oct 2014 19:41:30 -0500

wmshutdown (1.3-1) unstable; urgency=medium

  * New upstream release.
    - Uses logind or ConsoleKit instead of wmshutdown-run setuid binary.
  * debian/control
    - Update Homepage.
    - Bump Standards-Version to 3.9.6, no changes required.
    - Add systemd [linux-any], consolekit [!linux], and dbus to Depends.
    - Add dh-autoreconf to Build-Depends.
  * debian/copyright
    - Update Upstream-Contact, Source.
    - Update copyright information.
  * debian/NEWS.debian
    - Remove out-of-date file.
  * debian/rules
    - Remove override_dh_fixperms target.
    - Use dh-autoreconf.
  * debian/rules
    - Add get-orig-source target.
    - Add override_dh_auto_configure target to use ConsoleKit in !linux.
  * debian/upstream/signing-key.asc
    - New file.
  * debian/watch
    - Update with new location.
    - Add pgpsigurlmangle option.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Mon, 27 Oct 2014 22:46:42 -0500

=== debian/control ===
Source: wmshutdown
Section: x11
Priority: optional
Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
Build-Depends: debhelper (>= 9), libgtk-3-dev, dh-autoreconf
Standards-Version: 3.9.6
Homepage: https://github.com/d-torrance/wmshutdown
Vcs-Browser: https://github.com/d-torrance/wmshutdown
Vcs-Git: https://github.com/d-torrance/wmshutdown.git

Package: wmshutdown
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-systemd [linux-any], consolekit [!linux-any], dbus
Description: dockapp to shutdown or reboot your machine
 This is a dock applications for Window Maker that allows you to
 shutdown or reboot your machine just by clickig a button on desktop
 and confirming. It's useful just for desktop machines.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@ --with autoreconf

ifneq ($(DEB_HOST_ARCH_OS), linux)
override_dh_auto_configure:
	dh_auto_configure -- --with-consolekit
endif

get-orig-source:
	uscan --verbose --force-download --rename

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/d-torrance/wmshutdown/releases/ download/upstream%2F.+/wm(?:s|S)hutdown-(.+).tar.gz

## wmshutdown 1.4

=== debian/changelog ===
wmshutdown (1.4-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:51:09 +0000

wmshutdown (1.4-2) unstable; urgency=medium

  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
    - Tidy up using wrap-and-sort.
  * debian/copyright
    - Update email address.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 24 Aug 2015 22:40:26 -0400

wmshutdown (1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Update Homepage.
  * debian/copyright
    - Update Upstream-Contact and Source.
  * debian/rules
    - Append "-Wl,--as-needed" to LDFLAGS; avoids "useless dependency" warnings
      from dpkg-shlibdeps.
    - Update get-orig-source target for new location.
  * debian/upstream/signing-key.asc
    - Remove file; upstream no longer signs releases.
  * debian/watch
    - Update with new location.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sat, 13 Jun 2015 13:46:04 -0500

=== debian/control ===
Source: wmshutdown
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 9), dh-autoreconf, libgtk-3-dev
Standards-Version: 3.9.6
Homepage: http://windowmaker.org/dockapps/?name=wmshutdown
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmshutdown.git
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmshutdown.git

Package: wmshutdown
Architecture: any
Depends: consolekit [!linux-any],
         dbus,
         libpam-systemd [linux-any],
         ${misc:Depends},
         ${shlibs:Depends}
Description: dockapp to shutdown or reboot your machine
 This is a dock applications for Window Maker that allows you to
 shutdown or reboot your machine just by clickig a button on desktop
 and confirming. It's useful just for desktop machines.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@ --with autoreconf
@@ -11,4 +12,8 @@
 endif
 
 get-orig-source:
-	uscan --verbose --force-download --rename
+	uscan --verbose --force-download --no-symlink
+	@if test -e ../wmshutdown-*.download ; then \
+		rename -f -v "s/wmshutdown-(.+)\.download/wmshutdown_\1\.orig\.tar\.gz/" \
+			../wmshutdown-*.download; \
+	fi

## wmshutdown 1.6

=== debian/changelog ===
wmshutdown (1.6-3) unstable; urgency=medium

  * debian/control
    - Switch dbus dependency to default-dbus-system-bus or dbus-system-bus
      (Closes: #1122738).
    - Bump Standards-Version to 4.7.2.
    - Update my email address (now a Debian Developer).
    - Drop redundant Rules-Requires-Root field
  * debian/copyright
    - Update my copyright years and email address.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 12 Dec 2025 07:08:37 -0500

wmshutdown (1.6-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Doug Torrance ]
  * debian/control
    - Update Maintainer email to use tracker.d.o.
    - Bump Standards-Version to 4.6.0.
    - Add Rules-Requires-Root field (no).
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/upstream/metadata
    - Add Bug-* fields.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 04 Oct 2021 22:07:41 -0400

wmshutdown (1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat
    - Drop file; no longer necessary since we build-depend on
      debhelper-compat.
  * debian/control
    - Switch Build-Depend on debhelper to debhelper-compat,
      specifying compatibility level 12.
    - Remove dh-autoreconf from Build-Depends; redundant after
      debhelper 10.
    - Update Vcs-* after migration to Salsa.
    - Bump Standards-Version to 4.4.0.
    - Update Homepage to dockapps.net.
    - Switch Architecture to linux-any due to logind dependence.
    - Drop consolekit from Depends for non-linux architectures;
      no longer supported.
    - Replace libpam-systemd with new logind virtual packages in
      Depends (Closes: #925305).
  * debian/copyright
    - Update Format to https.
    - Update Upstream-Contact email address.
    - Update Source url to dockapps.net.
  * debian/menu
    - Remove deprecated Debian menu file.
  * debian/rules
    - Remove override_dh_auto_configure target and associated
      dpkg-architecture stuff; had been used for ConsoleKit on
      non-linux architectures.
    - Remove explicit call to dh_autoreconf; redundant after
      debhelper 10.
    - Remove get-orig-source target.
    - Use all hardening flags.
  * debian/upstream/metadata
    - New DEP-12 upstream metadata file.
  * debian/watch
    - Use https for download url.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 08 Sep 2019 21:33:37 -0400

=== debian/control ===
Source: wmshutdown
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@debian.org>
Build-Depends: debhelper-compat (= 13), libgtk-3-dev
Standards-Version: 4.7.2
Homepage: https://www.dockapps.net/wmshutdown
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmshutdown
Vcs-Git: https://salsa.debian.org/wmaker-team/wmshutdown.git

Package: wmshutdown
Architecture: linux-any
Depends: default-dbus-system-bus | dbus-system-bus,
         default-logind | logind,
         ${misc:Depends},
         ${shlibs:Depends}
Description: dockapp to shutdown or reboot your machine
 This is a dock applications for Window Maker that allows you to
 shutdown or reboot your machine just by clickig a button on desktop
 and confirming. It's useful just for desktop machines.
